=== src/widgets/CMakeLists.txt ===
--- 
+++ 
@@ -67,3 +67,5 @@
     DESTINATION ${PURPOSEWIDGETS_INSTALL_INCLUDEDIR}/purpose # C++ namespace
     COMPONENT Devel
 )
+
+ecm_generate_qdoc(KF6PurposeWidgets purposewidgets.qdocconf)
