=== debian/control ===
--- 
+++ 
@@ -11,21 +11,21 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               extra-cmake-modules (>= 6.16.0~),
+               extra-cmake-modules (>= 6.17.0~),
                gettext,
                intltool,
                libkaccounts6-dev,
-               libkf6config-dev (>= 6.16.0~),
-               libkf6coreaddons-dev (>= 6.16.0~),
-               libkf6i18n-dev (>= 6.16.0~),
-               libkf6kio-dev (>= 6.16.0~),
-               libkf6notifications-dev (>= 6.16.0~),
-               libkf6service-dev (>= 6.16.0~),
-               libkirigami-dev (>= 6.16.0~),
+               libkf6config-dev (>= 6.17.0~),
+               libkf6coreaddons-dev (>= 6.17.0~),
+               libkf6i18n-dev (>= 6.17.0~),
+               libkf6kio-dev (>= 6.17.0~),
+               libkf6notifications-dev (>= 6.17.0~),
+               libkf6service-dev (>= 6.17.0~),
+               libkirigami-dev (>= 6.17.0~),
                pkgconf,
-               qml6-module-org-kde-bluezqt (>= 6.16.0~),
-               qml6-module-org-kde-kquickcontrolsaddons (>= 6.16.0~),
-               qml6-module-org-kde-prison (>= 6.16.0~),
+               qml6-module-org-kde-bluezqt (>= 6.17.0~),
+               qml6-module-org-kde-kquickcontrolsaddons (>= 6.17.0~),
+               qml6-module-org-kde-prison (>= 6.17.0~),
                qml6-module-sso-onlineaccounts,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-declarative-dev (>= 6.5.0+dfsg~),
@@ -67,7 +67,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6coreaddons-dev (>= 6.16.0~),
+Depends: libkf6coreaddons-dev (>= 6.17.0~),
          libkf6purpose6 (= ${binary:Version}),
          libkf6purposewidgets6 (= ${binary:Version}),
          qml6-module-org-kde-purpose (= ${binary:Version}),
