=== src/plugins/barcode/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"purpose6_barcode\")
add_share_plugin(barcodeplugin barcodeplugin.cpp)
