=== debian/control ===
--- 
+++ 
@@ -1,45 +1,51 @@
 Source: kf6-purpose
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               extra-cmake-modules (>= 6.17.0~),
+               cmake (>= 3.16~),
+               extra-cmake-modules (>= 6.18.0~),
                gettext,
                intltool,
                libkaccounts6-dev,
-               libkf6config-dev (>= 6.17.0~),
-               libkf6coreaddons-dev (>= 6.17.0~),
-               libkf6i18n-dev (>= 6.17.0~),
-               libkf6kio-dev (>= 6.17.0~),
-               libkf6notifications-dev (>= 6.17.0~),
-               libkf6service-dev (>= 6.17.0~),
-               libkirigami-dev (>= 6.17.0~),
+               libkf6config-dev (>= 6.18.0~),
+               libkf6coreaddons-dev (>= 6.18.0~),
+               libkf6i18n-dev (>= 6.18.0~),
+               libkf6itemmodels-dev (>= 6.18.0~),
+               libkf6kcmutils-dev,
+               libkf6kio-dev (>= 6.18.0~),
+               libkf6notifications-dev (>= 6.18.0~),
+               libkf6service-dev (>= 6.18.0~),
+               libkirigami-dev (>= 6.18.0~),
                pkgconf,
-               qml6-module-org-kde-bluezqt (>= 6.17.0~),
-               qml6-module-org-kde-kquickcontrolsaddons (>= 6.17.0~),
-               qml6-module-org-kde-prison (>= 6.17.0~),
+               qml6-module-org-kde-bluezqt [linux-any],
+               qml6-module-org-kde-prison,
                qml6-module-sso-onlineaccounts,
-               qt6-base-dev (>= 6.5.0+dfsg~),
-               qt6-declarative-dev (>= 6.5.0+dfsg~),
-Standards-Version: 4.7.0
+               qt6-base-dev (>= 6.7.0~),
+               qt6-declarative-dev (>= 6.7.0~),
+               qt6-declarative-private-dev,
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/purpose
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-purpose
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-purpose
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-purpose
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-purpose.git
 Rules-Requires-Root: no
 
 Package: libkf6purpose-bin
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
-Recommends: qml6-module-org-kde-purpose,
+Breaks: libkf5purpose-bin (<< 5.115.0-3~),
+Replaces: libkf5purpose-bin (<< 5.115.0-3~),
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
+Recommends: qml6-module-org-kde-kdeconnect,
+            qml6-module-org-kde-purpose,
 Suggests: kdeconnect,
 Description: abstraction to provide and leverage actions of a specific kind, runtime
  Purpose offers the possibility to create integrate services and actions on
@@ -67,11 +73,11 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6coreaddons-dev (>= 6.17.0~),
+Depends: libkf6coreaddons-dev (>= 6.18.0~),
          libkf6purpose6 (= ${binary:Version}),
          libkf6purposewidgets6 (= ${binary:Version}),
          qml6-module-org-kde-purpose (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
+         qt6-base-dev (>= 6.7.0~),
          ${misc:Depends},
 Description: abstraction to provide and leverage actions of a specific kind, devel files
  Purpose offers the possibility to create integrate services and actions on
@@ -87,7 +93,6 @@
 Multi-Arch: same
 Depends: libkf6purpose-data (= ${source:Version}),
          ${misc:Depends},
-         ${qml6:Depends},
          ${shlibs:Depends},
 Recommends: qml6-module-org-kde-purpose (= ${binary:Version}),
 Description: library for abstractions to get the developer's purposes fulfilled
@@ -100,7 +105,6 @@
 Multi-Arch: same
 Depends: libkf6purpose-data (= ${source:Version}),
          ${misc:Depends},
-         ${qml6:Depends},
          ${shlibs:Depends},
 Description: library for abstractions to get the developer's purposes fulfilled
  Framework for providing abstractions to get the developer's purposes fulfilled.
@@ -110,8 +114,10 @@
 Package: qml6-module-org-kde-purpose
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
-Suggests: kdeconnect,
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
+Recommends: kdeconnect,
 Description: abstraction to provide and leverage actions of a specific kind, qml bindings
  Purpose offers the possibility to create integrate services and actions on
  any application without having to implement them specifically. Purpose will
