## kf6-purpose 6.18.0+p24.04+vstable+git20250914.1626

=== CMakeLists.txt ===
--- 
+++ 
@@ -41,7 +41,7 @@
   set(HAVE_DBUS ON)
 endif()
 
-set(KF_VERSION "6.18.0") # handled by release scripts
+set(KF_VERSION "6.19.0") # handled by release scripts
 set(KF_DEP_VERSION "6.18.0") # handled by release scripts
 
 find_package(KF6 ${KF_DEP_VERSION} REQUIRED COMPONENTS CoreAddons I18n Config Kirigami Notifications KIO Service)
@@ -65,7 +65,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.10.0
-    KF 6.17.0
+    KF 6.18.0
 )
 
 add_subdirectory( src )
