=== debian/changelog ===
kf6-purpose (6.19.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.18.0)
  * Add qml6-module-org-kde-kitemmodels to build deps for qmldeps
    detection.
  * New upstream release (6.19.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Oct 2025 15:08:46 +0100
